// 
// このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
// © MESCIUS inc. All rights reserved.
// 
using System;
using System.IO;
using System.Drawing;
using System.Text;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;
using GrapeCity.Documents.Pdf.AcroForms;

namespace DsPdfWeb.Demos
{
    // このサンプルでは、FindTextParams クラスを使用して「.NET Standard 2.0」をすべて検索し、
    // GcPdfDocument.ReplaceText メソッドを使用して「.NET 6」に置換する方法を紹介しています。
    public class ReplaceText2
    {
        public int CreatePDF(Stream stream)
        {
            var doc = new GcPdfDocument();
            using var fs = File.OpenRead(Path.Combine("Resources", "PDFs", "gc-docs-data-sheet.pdf"));
            doc.Load(fs);

            // テキストを置換します。
            doc.ReplaceText(new FindTextParams(".NET Standard 2.0", false, true), ".NET 6");

            // 参考として、オリジナルのPDFを追加します。
            var np = doc.NewPage();
            np.Landscape = true;
            Common.Util.AddNote("参考として、修正前のオリジナルのPDFのコピーを次のページに追加しています。", np);
            var docOrig = new GcPdfDocument();
            docOrig.Load(fs);
            doc.MergeWithDocument(docOrig);

            // PDF ドキュメントを保存します。
            doc.Save(stream);
            return doc.Pages.Count;
        }
    }
}
